Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.browser
Class ProgressAdapter

    java.lang.Object
      org.eclipse.swt.browser.ProgressAdapter

All Implemented Interfaces:
  EventListener, ProgressListener, org.eclipse.swt.internal.SWTEventListener

public abstract class ProgressAdapter
extends Object
implements ProgressListener

This adapter class provides default implementations for the methods described by the `ProgressListener` interface.

Classes that wish to deal with `ProgressEvent`'s can extend this class and override only the methods which they are interested in.

Since:
  3.0

Constructor Summary
`ProgressAdapter()`

Method Summary
`void` | `changed(ProgressEvent event)` This method is called when a progress is made during the loading of the current location.
`void` | `completed(ProgressEvent event)` This method is called when the current location has been completely loaded.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProgressAdapter

    public ProgressAdapter()

Method Detail

### changed

    public void changed(ProgressEvent event)

  Description copied from interface: `ProgressListener`
  This method is called when a progress is made during the loading of the current location.

  The following fields in the `ProgressEvent` apply:

  - (in) current the progress for the location currently being loaded
  - (in) total the maximum progress for the location currently being loaded
  - (in) widget the `Browser` whose current URL is being loaded

  Specified by:
    `changed` in interface `ProgressListener`
  Parameters:
    `event` - the `ProgressEvent` related to the loading of the current location of a `Browser`

### completed

    public void completed(ProgressEvent event)

  Description copied from interface: `ProgressListener`
  This method is called when the current location has been completely loaded.

  The following fields in the `ProgressEvent` apply:

  - (in) widget the `Browser` whose current URL has been loaded

  Specified by:
    `completed` in interface `ProgressListener`
  Parameters:
    `event` - the `ProgressEvent` related to the `Browser` that has loaded its current URL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.